yhkylin-backup-tools (4.1.0.1-ok17) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 更新阿越翻译
  * 其他改动影响域: 无

 -- Kevin Duan <duankaiwen@kylinos.cn>  Wed, 21 Aug 2024 16:30:06 +0800

yhkylin-backup-tools (4.1.0.1-ok16) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 更新翻译
  * 其他改动影响域: 无

 -- Kevin Duan <duankaiwen@kylinos.cn>  Wed, 21 Aug 2024 16:30:06 +0800

yhkylin-backup-tools (4.1.0.1-ok15) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 更新815翻译
  * 其他改动影响域: 无

 -- Kevin Duan <duankaiwen@kylinos.cn>  Wed, 21 Aug 2024 16:30:06 +0800

yhkylin-backup-tools (4.1.0.1-ok14) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 去除不存在的sdk依赖
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Wed, 21 Aug 2024 16:30:06 +0800

yhkylin-backup-tools (4.1.0.1-ok13) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 更新维文翻译
  * 其他改动影响域: 无

 -- Kevin Duan <duankaiwen@kylinos.cn>  Thu, 16 May 2024 16:30:06 +0800

yhkylin-backup-tools (4.1.0.1-ok12) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 更新维文翻译
  * 其他改动影响域: 无

 -- Kevin Duan <duankaiwen@kylinos.cn>  Thu, 16 May 2024 16:30:06 +0800

yhkylin-backup-tools (4.1.0.1-ok11) nile; urgency=medium

  * BUG: #226486 【wlcom】【备份还原】最小化与最大化按钮失效无响应
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- zhoudisi <zhoudisi@kylinos.cn>  Thu, 16 May 2024 16:30:06 +0800

yhkylin-backup-tools (4.1.0.1-ok10) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: TASK:#205194 子 【百日攻关】【图形栈合成渲染技术】UKUI应用适配 / 【百日攻关】【图形栈合成渲染技术】UKUI应用适配 - 备份还原
  * 其他改动影响域: 无

 -- zhoudisi <zhoudisi@kylinos.cn>  Sun, 31 Mar 2024 20:49:35 +0800

yhkylin-backup-tools (4.1.0.1-ok9) nile; urgency=medium

  * BUG: 无
  * 任务号:  181178 【备份还原】kylin时间格式适配
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动说明: 无 

 -- chairui <chairui@kylinos.cn>  Thu, 23 Nov 2023 13:55:08 +0800

yhkylin-backup-tools (4.1.0.1-ok8) nile; urgency=medium

  * BUG: 无
  * 任务号： #180734 【备份还原】 openkylin2.0 多语言翻译支持
  * 需求号： 无
  * 其他改动说明： 无
  * 其他改动影响域： 无

 -- lidecheng <lidecheng@kylinos.cn>  Wed, 15 Nov 2023 16:51:17 +0800

yhkylin-backup-tools (4.1.0.1-ok7) yangtze; urgency=medium

  * BUG ：【备份还原】切换至平板模式时，窗口没有最大化
          【备份还原】窗口选项菜单未翻译成中文
          【备份还原】菜单-退出按钮显示Exit，预期显示退出
          【备份还原】gurb备份/还原系统时，显示乱码
  * 需求号：无
  * 其它改动：无
  * 其它影响域：无

 -- lidecheng <lidecheng@kylinos.cn>  Mon, 04 Sep 2023 18:03:27 +0800

yhkylin-backup-tools (4.1.0.1-ok6) yangtze; urgency=medium

  * BUG ：【备份还原】【次要】删除备份成功的弹窗，关闭按钮无悬浮提示
          【备份还原】【次要】数据备份更新时，点击桌面再点回应用，列表第一行字体颜色变为白色
          【备份还原】【次要】列表窗口关闭悬浮提示样式错误
          【备份还原】【次要】列表窗口可以最小化
          【备份还原】【次要】列表窗口标题栏无图标
  * 需求号：无
  * 其它改动：无
  * 其它影响域：无

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 10 Apr 2023 16:33:25 +0800

yhkylin-backup-tools (4.1.0.1-ok5) yangtze; urgency=medium

  * BUG 号：162643 【备份还原】所有提示框中右下角显示为Ok
            162558 【HWE】【备份还原】英文和字体最大环境下，备份界面文字显示不全
  * 需求号：无
  * 其它改动：主线版本代码修改同步到开源社区
  * 其它改动影响域：全域

 -- Kevin Duan <zhaominyong@kylinos.cn>  Wed, 22 Mar 2023 10:05:30 +0800

yhkylin-backup-tools (4.1.0.1-ok4) yangtze; urgency=medium

  * BUG 号：无
  * 需求号: 无
  * 其它改动: 主线版本修改代码同步到开源社区
  * 其它影响域：无

 -- Kevin Duan <zhaominyong@kylinos.cn>  Fri, 06 Jan 2023 15:54:14 +0800

yhkylin-backup-tools (4.1.0.1-ok3) yangtze; urgency=medium

  * 解决编译问题

 -- Kevin Duan <duankaiwen@kylinos.com>  Tue, 01 Nov 2022 17:11:32 +0800

yhkylin-backup-tools (4.1.0.1-ok2) yangtze; urgency=medium

  * BUG 号：无
  * 需求号: 无
  * 其它改动: openkylin适配改造
  * git commit：d731b2aa118a00d4ec9852530010c7f9549c284f
 -- zhaominyong <zhaominyong@kylinos.cn>  Tue, 01 Nov 2022 15:55:32 +0800

yhkylin-backup-tools (4.1.0.1-ok1) yangtze; urgency=medium

  * BUG 号：127984 【备份还原】数据备份-备份更新过程中取消备份，原有的备份数据会被删除
            144423 【xc平板】【设计】【备份还原】图标显示异常
  * 需求号: 无
  * 其它改动: 平板上最大化按钮隐藏问题
  * git commit：eebbbf115a6cd917d4da7d4c1ea22eb8c025d9f0

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 21 Oct 2022 15:55:12 +0800

yhkylin-backup-tools (4.1.0.1) v101; urgency=medium

  * BUG 号：无
  * 需求号: 16551 【备份还原（平板+pc）】最大化适配
  * 其它改动: 无
  * git commit：1cf5dbd89f894586843636cd5cdd3df771b5614d

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 13 Oct 2022 13:39:11 +0800

yhkylin-backup-tools (4.1.0.0-0k16) v101; urgency=medium

  * BUG 号：142904 【江西银行】【grub还原】在grub界面选择restore-retain-userdata mod模式还原，还原之后域用户登录失败
  * 需求号: 无
  * 其它改动: 出厂备份的shell进行优化，并增加日志记录
  * git commit：45af69a44a92494205ea8755b134c430d0db48a8 

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 12 Oct 2022 13:49:46 +0800

yhkylin-backup-tools (4.1.0.0-0k15) v101; urgency=medium
  
  * BUG 号：141716 【江西银行】【grub还原】在grub界面选择restore-retain-userdata mod模式还原，还原之后系统用户变为OEM
  * 需求号: 无
  * 需求号：无
  * 其它改动: 无
  * git commit：c598c069d0ef9f1785f3f8c2ffa0ee3059f053aa

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 30 Sep 2022 16:12:11 +0800

yhkylin-backup-tools (4.1.0.0-0k14) v101; urgency=medium

  * BUG 号：138686 【KVE-2022-0805】银河麒麟桌面操作系统V10_com.kylin.backup Dbus服务删除任意文件夹
  * 需求号: 无
  * 需求号：无
  * 其它改动: 无
  * git commit：ddb38750f603a1f15d910f95cb4be8753b4b5723

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 29 Sep 2022 16:22:45 +0800

yhkylin-backup-tools (4.1.0.0-0k13.2) v101; urgency=medium

  * BUG 号：无
  * 需求号: 无
  * 需求号：无
  * 其它改动: label显示超长省略时，增加tooltips
  * git commit：68a5346fe51fb05eb9487f7a886aa0bcc4a98fc6

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 28 Sep 2022 17:10:17 +0800

yhkylin-backup-tools (4.1.0.0-0k13.1) v101; urgency=medium

  * BUG 号：140061【备份还原】英文系统最大号字体下，备份还原标题显示不全(上一版本未改全，遗漏了字体变小的场景)
  * 需求号: 无
  * 需求号：无
  * 其它改动: 无
  * git commit：4841992a9eebb6e374f708bed93be3c7c3d8c484

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 23 Sep 2022 17:00:33 +0800

yhkylin-backup-tools (4.1.0.0-0k13) v101; urgency=medium

  * BUG 号：140061 【备份还原】英文系统最大号字体下，备份还原标题显示不全
            140066 【备份还原】还原系统后无法创建同名用户
  * 需求号: 无
  * 需求号：无
  * 其它改动: 修改因为QFileDialog控件失效引起的路径选择问题
  * git commit：4da3262b842b672202d8b30c378f640df73b96cd

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 16 Sep 2022 09:51:26 +0800

yhkylin-backup-tools (4.1.0.0-0k12) v101; urgency=medium

  * BUG 号：136393 【备份还原】用户手册-备份还原，图4图片名格式错误
  * 需求号: 无
  * 需求号：无
  * 其它改动: 删除了部分废弃代码
  * git commit：dc4f547e5f7a23082ad3618b6a59f94a91323724

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 02 Sep 2022 17:00:49 +0800

yhkylin-backup-tools (4.1.0.0-0k11) v101; urgency=medium

  * BUG 号：132669 【备份还原】用户手册中，图片编号格式不一致，存在图1-a、图2、图3-1、多种形式
            133526 【备份还原工具】vfat格式的U盘能够作为备份路径进行 备份还原操作
            132570 【备份还原】在备份还原工具中查看到出场备份有17G，但df -h查看backup只使用了9G
  * 需求号: 无
  * 需求号：无
  * 其它改动: 无
  * git commit: cc21b2d23bf0008a9b5cba542a430c7a0b414ac1

 -- zhaominyong <zhaominyong@kylinos.cn>  Tue, 02 Aug 2022 17:53:33 +0800

yhkylin-backup-tools (4.1.0.0-0k10) v101; urgency=medium

  * BUG 号：无
  * 需求号: 无
  * 需求号：无
  * 其它改动: 自测发现问题——1、系统升级备份点的grub还原功能存在问题
                            2、grub还原的日志展示备份点名称时有问题
  * git commit: 1781df38505531b5072c7b34c22d8207bac81ef7

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 29 Jul 2022 11:03:28 +0800

yhkylin-backup-tools (4.1.0.0-0k9) v101; urgency=medium

  * BUG 号：125640 【设计】【UKUI攻关】【备份还原】系统备份、数据备份界面的管理备份文字主题高亮不变化
  * 需求号:无
  * 需求号：无
  * 其它改动:系统升级自动备份逻辑排除用户数据逻辑错误
  * git commit:c59d2f3f4cd8cd954330d33ae1244a183820a06f

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 27 Jul 2022 10:55:42 +0800

yhkylin-backup-tools (4.1.0.0-0k8) v101; urgency=medium

  * BUG 号：123644 【UKUI 3.1.4 走查】【设计】【备份还原】关于界面问题
  * 需求号:无
  * 需求号：无
  * 其它改动:运行依赖梳理，去掉*-dev的依赖
  * git commit:f1ea051242aafc3b3cea02f81617b3b22e983721 

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 20 Jul 2022 13:52:40 +0800

yhkylin-backup-tools (4.1.0.0-0k7) v101; urgency=medium

  * BUG 号：128014 【guestos】【华为云】【在线更新】存在备份还原分区的情况下，选择更新并备份提示未检查到系统备份还原分区
  * 需求号:无
  * 需求号：无
  * 其它改动:无
  * git commit:ada4f50401026455558a9d417276490f0e0c18f7

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 18 Jul 2022 15:47:13 +0800

yhkylin-backup-tools (4.1.0.0-0k6) v101; urgency=medium

  * BUG 号：127626 【需求12959】【备份还原】备份还原的关于界面有智能贴边效果
            129503 【备份还原】向数据备份页面拖拽文件后点击"上一步"，再次进入拖拽文件页面中无"拖放文件或文件夹识别路径"文案提示(必现)
            129668 【备份还原】创建Ghost镜像到空间不足的U盘中，不会提示“空间不足”，创建结束后U盘目录下有ghost文件夹里面没有镜像文件(日志中显示剩余空间不足，但是没有上报前端)
  * 需求号:无
  * 需求号：无
  * 其它改动:无备份分区时，使用备份还原工具进行ghost镜像无本地默认存放位置/ghost
  * git commit:7e4d5d9689efaee80485fd3762985b26aa50031d

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 13 Jul 2022 17:20:29 +0800

yhkylin-backup-tools (4.1.0.0-0k5) v101; urgency=medium

  * BUG 号：128180 【备份还原】在grub界面备份提示空间不足，用备份还原工具检测空间充足
  * 需求号:无
  * 需求号：无
  * 其它改动: 无
  * git commit:1aecc171af341a96de4e101259bfabda94cca648

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 07 Jul 2022 18:02:43 +0800

yhkylin-backup-tools (4.1.0.0-0k4) v101; urgency=medium

  * BUG 号：118458 【藏文】【备份还原】系统为藏文时备份还原界面显示为英文 
            128105 【备份还原】创建Ghost镜像到空间足够的U盘中，创建成功后在U盘目录下没有镜像文件
            128094 【备份还原】创建Ghost镜像到空间不足的U盘中，不会提示“空间不足”，可以创建成功，创建后在U盘目录下没有镜像文件
            128225 【用例354054】【备份还原】还原出厂备份，操作日志备份名称显示“factory backup”未汉化
  * 需求号:无
  * 需求号：无
  * 其它改动: 无
  * git commit:4188510cfaa0ad55b691d6041ba511cbbf7fcf28

 -- zhaominyong <zhaominyong@kylinos.cn>  Tue, 06 Jul 2022 16:35:36 +0800

yhkylin-backup-tools (4.1.0.0-0k3) v101; urgency=medium

  * BUG 号：123980 【UKUI 3.1.4 走查】【设计】【备份还原】数据备份 添加路径列表增加间距
            125377 【设计】【备份还原】【ukui攻关】ghost镜像选择 备份文件时，不需用确认弹窗
            125536 【备份还原】数据备份，不输入备份名称，提示错误
            125529 【备份还原】备份管理没有出厂备份节点
            125640 【设计】【UKUI攻关】【备份还原】系统备份、数据备份界面的管理备份文字主题高亮不变化
            125649 【设计】【UKUI攻关】【备份还原】所有操作流程主题高亮不变化
            125541 【云桌面】【备份还原】拖放文件夹区域，文件路径不显示
            126503 【备份还原】选择自定义路径备份时，部分位数很少的文件夹的名称依然显示不全
            126419 【备份还原工具】界面内容图标与设计稿不一致
  * 需求号:无.
  * 需求号：无
  * 其它改动: 无
  * git commit:a45e7a27c0211660911322fe648b954a05201429

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 30 Jun 2022 13:57:39 +0800

yhkylin-backup-tools (4.1.0.0-0k2) v101; urgency=medium

  * BUG 号：114564 【备份还原3.1UI走查】备份管理列表
            123177 【UKUI 3.1.4 走查】【设计】【备份还原】页面细节调整
            124613 【KMRE】系统还原后未清除掉安卓应用
  * 需求号：无
  * 其它改动: 无
  * git commit:533a7d60b68c23d0c0a12841ca2223c37eb87015

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 20 Jun 2022 10:25:36 +0800

yhkylin-backup-tools (4.1.0.0-0k1) v101; urgency=medium

  * BUG 号：123177 【UKUI 3.1.4 走查】【设计】【备份还原】页面细节调整
            123160 【UKUI 3.1.4 走查】【设计】【备份还原】数据更新按钮异常
            123156 【UKUI 3.1.4 走查】【设计】【备份还原】备份管理标题
            123142 【UKUI 3.1.4 走查】【设计】【备份还原】备份位置浏览按钮
            123905 【需求8688】【备份还原】使用备份还原软件备份或还原时点击关机/注销，弹出的提示不正确
            123166 【UKUI 3.1.4 走查】【设计】【备份还原】添加备份路径样式有误
            122508 【备份还原】备份名称限制中文、英文均为65位，且无超出长度的提示
            118458 【藏文】【备份还原】系统为藏文时备份还原界面显示为英文
            122379 【UI】【备份还原】取消弹窗显示与设计图不符
  * 需求号：8688 【系统关机/注销】增加关机/注销提示
  * 其它：无
  * git commit:4818e461d4090db563bbe7dd79c0ce1393d0e521

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 10 Jun 2022 16:29:44 +0800

yhkylin-backup-tools (4.1.0.0) v101; urgency=medium

  * BUG 号：无
  * 需求号：10237 【备份还原】增加可自定义路径
            9715【更新】系统升级后导致不可用时可以回退至更新前的版本
  * 其它：新版工具完全重构，并新增了上面两个需求，第一次提交2209大版本，制作2209镜像用
  * git commit:bd8b3fc61f1d734b6c94dd785deed29002d63b2c

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 06 Jun 2022 18:19:34 +0800

yhkylin-backup-tools (4.0.13-kylin79) v101; urgency=medium

  * BUG 号： 115051 【KVE-2022-0404】【备份还原】备份还原工具-数据备份功能存在任意命令执行漏洞，导致本地提权
  * 需求号：无
  * 其它改动: 无
  * git commit:cfa3cd5fe4bc5ffde1407812c1dfae2724c61694

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 29 Apr 2022 11:14:43 +0800

yhkylin-backup-tools (4.0.13-kylin77) v101; urgency=medium

  * BUG 号： 115051 【KVE-2022-0404】【备份还原】备份还原工具-数据备份功能存在任意命令执行漏洞，导致本地提权
  * 需求号：无
  * 其它改动: 无
  * git commit:4014a46f8613ddf6419d0a4cc4ea3cb10a7e9278

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 24 Apr 2022 09:21:26 +0800

yhkylin-backup-tools (4.0.13-kylin75) v101; urgency=medium

  * BUG 号：108100 【补】麒麟系统备份组件_ghostBackup存在命令注入漏洞
  * 需求号：无
  * 其它：无
  * git commit:9416da7f4261f85305c430d8b0c59a864111f05f

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 07 Mar 2022 09:32:08 +0800

yhkylin-backup-tools (4.0.13-kylin71) v101; urgency=medium

  * BUG号:
          #92894 [内测][备份还原专项][普通用户]新建数据备份弹窗提示语为英文
          #92664 [内测][备份还原专项][备份管理]拖动窗口时，窗口自动向左上方移动
          #92649 [内测][备份还原专项][异机还原]不同机器可以成功进行数据还原
          #91163 [内测][1111版本][恢复出厂设置]恢复后系统仍存在恢复出厂前用户
          #90189 [备份还原][需求：5480]数据备份进行中和完成的提示页面，可以拖拽
          #86691 [内测][1014摸底][备份还原工具]系统还原-勾选-保留用户数据-一键还原-使用原始备份镜像-还原后-系统登录异常
          #86514 [内测][1014摸底][备份还原][桌面应用]备份还原应用-系统还原页面，无恢复出厂设置菜单
          #85953[内测][1014摸底][备份还原][应用层]数据还原后出现空白锁定图标，且奇安信浏览器名称变为英文
   *需求号：无
   *其它改动说明：无
   *其它改动影响域：无

 -- rongyouli <rongyouli@kylinos.cn>  Mon, 22 Nov 2021 10:35:30 +0800

yhkylin-backup-tools (4.0.13-kylin69) v101; urgency=medium

  * BUG 号：无
  * 需求号：56587 56585
  * 其它：异机还原
  * git commit:ba59599e97718ea3192238f3850a1ccf197ff33c

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 04 Nov 2021 20:00:21 +0800

yhkylin-backup-tools (4.0.13-kylin68) v101; urgency=medium

  * BUG 号：84397
  * 需求号：无
  * 其它：无
  * git commit:6b532a5780086a8e418eea1b69c97a2189666993 

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 14 Oct 2021 09:16:52 +0800

yhkylin-backup-tools (4.0.13-kylin67) v101; urgency=medium

  * BUG 号：52405
  * 需求号：无
  * 其它：U盘备份问题优化
  * git commit:2f128a17ebce015cd3f86d6526b234c39c6deeea

 -- zhaominyong <zhaominyong@kylinos.cn>  Tue, 28 Sep 2021 05:26:08 +0800

yhkylin-backup-tools (4.0.13-kylin66) v101; urgency=medium

  * BUG 号：44694
  * 需求号：无
  * 其它：无
  * git commit:d99e8e6e54fda46b92207928f52142665ed4f2e0 

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 24 Sep 2021 09:31:32 +0800

yhkylin-backup-tools (4.0.13-kylin65) v101; urgency=medium

  * BUG 号：52405
  * 需求号：无
  * 其它：无
  * git commit:64f5575405b973878a413e71a5dd3782cc34cc5c

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 15 Sep 2021 13:41:27 +0800

yhkylin-backup-tools (4.0.13-kylin64) v101; urgency=medium

  * BUG 号：78954 75141
  * 需求号：无
  * 其它：无
  * git commit:d357996fd591a712aa1ec7dee37252f1f85901ff

 -- zhaominyong <zhaominyong@kylinos.cn>  Sun, 12 Sep 2021 21:07:50 +0800

yhkylin-backup-tools (4.0.13-kylin63) v101; urgency=medium

  * BUG 号：无
  * 需求号：8226
  * 其它：安装脚本影响打镜像包
  * git commit: 85447f09d278d82d3931996f54c8b85167fdab9c

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 10 Sep 2021 16:10:57 +0800

yhkylin-backup-tools (4.0.13-kylin62) v101; urgency=medium

  * BUG 号：无
  * 需求号：8226
  * 其它：安装脚本影响打镜像包
  * git commit: 9c8134a2a79b272cb9f33ac6e1727923e48ed8a2

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 09 Sep 2021 20:43:02 +0800

yhkylin-backup-tools (4.0.13-kylin61) v101; urgency=medium

  * BUG 号：74614
  * 需求号：无
  * 其它：无
  * git commit:e0f51368f76d0b717d29acf31ea472cc469e0dbc

 -- zhaominyong <zhaominyong@kylinos.cn>  Tue, 07 Sep 2021 15:44:17 +0800

yhkylin-backup-tools (4.0.13-kylin60) v101; urgency=medium

  * BUG 号：无
  * 需求号：8226
  * 其它：无
  * git commit: 51dc6d5cdc32fdcc82e88e89b9d8a02e4bacb4f8

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 01 Sep 2021 11:09:04 +0800

yhkylin-backup-tools (4.0.13-kylin59) v101; urgency=medium

  * BUG 号：73712
  * 需求号：无
  * 其它：继续优化改造
  * git commit:892da63891c2ffe122d998bec49cf89d050e72a9 

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 18 Aug 2021 09:38:43 +0800

yhkylin-backup-tools (4.0.13-kylin58) v101; urgency=medium

  * BUG 号：73712
  * 需求号：7350
  * 其它：无
  * git commit: c1d738f75fb88b0abf7cb869a8cbf67b0ed8d59e

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 12 Aug 2021 09:01:12 +0800

yhkylin-backup-tools (4.0.13-kylin57) v101; urgency=medium

  * BUG 号：70315 68944
  * 需求号：无
  * 其它改动：无
  * git commit: 8ea1a6f580d4c12adeff1a6d5b31185fee23a669

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 06 Aug 2021 15:14:53 +0800

yhkylin-backup-tools (4.0.13-kylin56) v101; urgency=medium

  * BUG 号：69020 68946
  * 需求号：43868
  * 其它改动：无
  * git commit: 40c6a03135ca18301f26c98cd7b41da13c210ef4 

 -- zhaominyong <zhaominyong@kylinos.cn>  Sat, 24 Jul 2021 14:44:18 +0800

yhkylin-backup-tools (4.0.13-kylin55) v101; urgency=medium

  * BUG 号：无
  * 需求号：43868
  * 其它改动：无
  * git commit: f30309d8aa546254cf74ac6fe81a568db1c9a7b8

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 23 Jul 2021 14:21:08 +0800

yhkylin-backup-tools (4.0.13-kylin54) v101; urgency=medium

  * BUG 号: 66831 65902
  * 需求号: 无
  * 其它改动：无
  * git commit: 7c87515e520d7a98bd23f3422ae2690914f6f7fa

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 16 Jul 2021 09:32:20 +0800

yhkylin-backup-tools (4.0.13-kylin53) v101; urgency=medium

  * BUG 号：66831 65902 62423 64495
  * 需求号：无
  * 其它改动：无
  * git commit: 30d00e66c8d6c44c2c130baa73ae9fb10cc6850e

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 14 Jul 2021 15:24:12 +0800

yhkylin-backup-tools (4.0.13-kylin52) v101; urgency=medium

  * BUG 号：无
  * 需求号：无
  * 其它改动：解决launchpad上因引入gsettings-qt模块编译不通过的问题
  * git commit:e0f327af98bca34a1eafa65dc5752649863cb2a5

 -- zhaominyong <zhaominyong@kylinos.cn>  Sun, 11 Jul 2021 14:52:17 +0800

yhkylin-backup-tools (4.0.13-kylin51) v101; urgency=medium
  
  * BUG 号: 66037
  * 需求号：无
  * 其它改动：无
  * git commit:0fa931ad50cee4a52c0e06ff947a8219ef7db414

 -- zhaominyong <zhaominyong@kylinos.cn>  Sat, 10 Jul 2021 14:53:30 +0800

yhkylin-backup-tools (4.0.13-kylin50) v101; urgency=medium

  * BUG 号：无
  * 需求号：无
  * 其它改动：去掉update-grub，会导致部分环境镜像错误
  * git commit:0276ff7211a05bb93be1658d5eba2351c349c42

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 07 Jul 2021 20:26:42 +0800

yhkylin-backup-tools (4.0.13-kylin49) v101; urgency=medium

  * BUG 号：65303
  * 需求号：无
  * 其它改动：无
  * git commit:602d8fa519fbaa9f41afc0accaf1ba4410d995ba

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 07 Jul 2021 19:53:40 +0800

yhkylin-backup-tools (4.0.13-kylin48) v101; urgency=medium

  * BUG 号：65006
  * 需求号：无
  * 其它改动：无
  * git commit:da0bbb6b2d20ff528482d751e968ea65492a8822

 -- zhaominyong <zhaominyong@kylinos.cn>  Tue, 06 Jul 2021 15:16:01 +0800

yhkylin-backup-tools (4.0.13-kylin47) v101; urgency=medium

  * BUG 号：63469 65005 63736 63733 6329 61665
  * 需求号：无
  * 其它改动：无
  * git commit:46211c84598e87005567df72856b5ca1a7ae0508

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 05 Jul 2021 15:47:19 +0800

yhkylin-backup-tools (4.0.13-kylin46) v101; urgency=medium

  * BUG 号：64797
  * 需求号：无
  * 其他改动：无

 -- zhangjun <zhangjun@kylinos.cn>  Sat, 03 Jul 2021 17:03:19 +0800

yhkylin-backup-tools (4.0.13-kylin45) v101; urgency=medium

  * BUG 号：63727 54356 64139 63734
  * 需求号：无
  * 其他改动：无
  * git commit：e48f368bf188d574a5a0f02600c76b4a7e8c613a

 -- zhangjun <zhangjun@kylinos.cn>  Thu, 01 Jul 2021 20:12:46 +0800

yhkylin-backup-tools (4.0.13-kylin44) v101; urgency=medium

  * BUG 号：63584
  * 需求号：无
  * 其它改动：无
  * git commit:ae9b450e37eab3cec01a855557bf77a1b9ac8acc 

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 28 Jun 2021 09:05:54 +0800

yhkylin-backup-tools (4.0.13-kylin43) v101; urgency=medium

  * BUG 号：63247 63151 60633 56607
  * 需求号：无
  * 其它改动：无
  * git commit:3deb8c499084dfa2e8a77810c51f7a3c2c8ea458 

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 24 Jun 2021 14:55:12 +0800

yhkylin-backup-tools (4.0.13-kylin42) v101; urgency=medium

  * BUG 号：60214 59006 61716 58277 58258 62261
  * 需求号：无
  * 其它改动：无
  * git commit:fa60cda1dc813bc949060c8452a5278d9a6b3bb0 

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 21 Jun 2021 21:04:24 +0800

yhkylin-backup-tools (4.0.13-kylin41) v101; urgency=medium

  * BUG 号：58220 61373 57459
  * 需求号：无
  * 其它改动：无
  * git commit:6d116c48de09c485f2f5a931e30b23466ea1c5ef

 -- zhaominyong <zhangjun@kylinos.cn>  Mon, 21 Jun 2021 16:06:21 +0800

yhkylin-backup-tools (4.0.13-kylin40) v101; urgency=medium

  * BUG 号：59636 60633 58258 59006
  * 需求号：无
  * 其它改动：无
  * git commit:4523a00506055454902ce4bdad848c63f52848d1

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 16 Jun 2021 11:16:02 +0800

yhkylin-backup-tools (4.0.13-kylin39) v101; urgency=medium

  * BUG 号：59636 58531
  * 需求号：无
  * 其它改动：无，上次传包可能传错误，重传一次
  * git commit:6a8886aa6ccd02efc5bfd2fbe6b01dd0c41ed718

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 16 Jun 2021 11:14:52 +0800

yhkylin-backup-tools (4.0.13-kylin38) v101; urgency=medium

  * BUG 号：59636 58531
  * 需求号：无
  * 其它改动：59636备份时选择移动设备，会出现一个dev/sdc的路径(一般+必现+不常用功能)
              58531备份还原-系统备份-新建系统备份选择移动设备，不是移动设备也能被选中
  * git commit:6a8886aa6ccd02efc5bfd2fbe6b01dd0c41ed718

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 16 Jun 2021 11:12:13 +0800

yhkylin-backup-tools (4.0.13-kylin37) v101; urgency=medium

  * BUG号：58395 58369
  * 需求号：无
  * 其它改动：无
  * git commit:3f7bee3deb79bd90af959c5724640edf0027da34

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 04 Jun 2021 08:45:59 +0800

yhkylin-backup-tools (4.0.13-kylin36) v101; urgency=medium

  * BUG号：57589 56540 56086 55469 52379 50102、56083、56594
  * 需求号：无
  * 其它改动：无
  * git commit:17e620c397aec0ddf783387d4f7cf161fb4263e9

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 02 Jun 2021 19:52:35 +0800

yhkylin-backup-tools (4.0.13-kylin35) v101; urgency=medium

  * BUG 号: 57089,56556,57450,54356,52126,52759,43733,56685,46148,44417,56685
  * 需求号：无
  * 其他改动： 无
  * git commit : 3f1de8c242884cde3889f990a44de40be7257783

 -- zhangjun <zhangjun@kylinos.cn>  Mon, 31 May 2021 14:24:06 +0800

yhkylin-backup-tools (4.0.13-kylin34) v101; urgency=medium

  * drop judge the /backup/current.
    取消判断/backup/current目录的存在。
  * git commit截止16d44feb04804321e440193ae210e11b6fb6bde4。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Sun, 23 May 2021 20:03:34 +0800

yhkylin-backup-tools (4.0.13-kylin33) v101; urgency=medium

  * fix tooltip shown error in BackupSystemPathSelectdDialog
  * solve-bug19403-Select the restore point title layout to be optimized
  * solve-bug-46120-add-log-show-comma
  * git commit 截止 853f48d7c5c103cadf254d96d9928b956ecfc5da。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Thu, 20 May 2021 19:40:26 +0800

yhkylin-backup-tools (4.0.13-kylin32) v101; urgency=medium

  * Determine the definition of factory restore: do not retain system user data
    Change the system restore ui, now factory restore is checkable in 990.
    定义出厂还原：不会保留系统用户数据。
    改变系统还原界面UI，在990中增加出厂还原的可选框。
  * hide factory backup in targetlist when in 990.
    隐藏990系统出厂还原列表中的出厂还原。
  * git commit截止44a70a5d7f180d059074355cfe29531c800eb7f6。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Thu, 20 May 2021 09:34:27 +0800

yhkylin-backup-tools (4.0.13-kylin31) v101; urgency=medium

  * bug43733 solve-bug43733-not-create-backup-oartition
  * git commit dcf5ebfab570d38d0da50f829209ca80b4a5c8b3

 -- zhang jun <zhangjun@kylinos.cn>  Tue, 18 May 2021 16:19:23 +0800

yhkylin-backup-tools (4.0.13-kylin30) v101; urgency=medium

  * 任务号：28588 新功能备份输入目录选取器
  * 新功能添加：数据备份和增量数据备份文件输入变成选择器选择
  * git commit截止7f276bd122409370b396b6b7fc638c6b1b291dfd

 -- zhang jun <zhangjun@kylinos.cn>  Mon, 17 May 2021 20:20:43 +0800

yhkylin-backup-tools (4.0.13-kylin29) v101; urgency=medium

  * No submit.

 -- Bi Wenjie <biwenjie@kylinos.cn>  Fri, 07 May 2021 19:25:11 +0800

yhkylin-backup-tools (4.0.13-kylin28) v101; urgency=medium

  * add udiskdector getStorageInfo in function getBackupListIncludeAllUdisks
    解决备份信息列表无法及时更新的问题
  * solve-bug50631-fat32-Udisk-show-info-error
  * git commit截止到ac3e5b57bd67ae6ddbf616271967750072ade697。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Thu, 29 Apr 2021 10:08:57 +0800

yhkylin-backup-tools (4.0.13-kylin27) v101; urgency=medium

  * 1.Chang the logic of preserving data when restoring a device:
        only preserve /home /root /data directory.
      修改还原系统时保留数据的逻辑：
        只保留/home. /root. /data目录下的文件。
  * 2.fix the program to exit the unfinished logic abnormally.
      修复后台程序异常退出，确定按钮无法点击的问题。
  * 3.drop to write /data in excludepath file.
      不再将/data写入过滤文件中。
  * 4.fix 50104 43843 44192 47360 49951  

 -- Bi Wenjie <biwenjie@kylinos.cn>  Fri, 23 Apr 2021 12:37:13 +0800

yhkylin-backup-tools (4.0.13-kylin26) v101; urgency=medium

  * change user guide about.
    修改用户手册相关。
  * change backup.txt to backup.log.
    将backup.txt名字修改为backup.log
  * git commit 截止076fb4494034fc154990542bd9fe150361a9c6b0。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Mon, 29 Mar 2021 16:17:33 +0800

yhkylin-backup-tools (4.0.13-kylin25) v101; urgency=medium

  * add generate some file in mount backup action.
    将生成某些文件的行为放到挂载backup分区行为中。
  * add active udisk detect when click front ui.
    每次前端点击相关ui都执行主动u盘探测行为。
  * add log ui show when restore success.
    前端日志ui增加还原操作。
  * git commit 截止feafdf35cdd1adbefd7ca7e86515d8eb7e72b325。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Tue, 23 Mar 2021 15:06:53 +0800

yhkylin-backup-tools (4.0.13-kylin24) v101; urgency=medium

  * fix QProcess's wrong return logic.
    修复QProcess的错误返回逻辑。
  * git commit 截止17ce4f6703a6e102e7c85f869b5d2c7b5352f077。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Mon, 22 Mar 2021 22:31:11 +0800

yhkylin-backup-tools (4.0.13-kylin23) v101; urgency=medium

  * fix factoryrestore in grub.
    修改grub出厂还原的问题。
  * git commit 截止1ec9d876aaf1abea2d05290c860f29f275e2bcde。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Mon, 22 Mar 2021 14:24:43 +0800

yhkylin-backup-tools (4.0.13-kylin22) v101; urgency=medium

  * improve restore logic.
    改进restore逻辑。
  * git commit 截止aa3b6419c9316fc88bf8167bf3c9557fbda51f88。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Mon, 22 Mar 2021 00:30:16 +0800

yhkylin-backup-tools (4.0.13-kylin21) v101; urgency=medium

  * add factoryrestore option in backup-auto-efi shell.
    在backup-auto-efi脚本中增加--factoryrestore选项。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Fri, 19 Mar 2021 18:41:37 +0800

yhkylin-backup-tools (4.0.13-kylin20) v101; urgency=medium

  * fix cancel backup but not effective.
    修复刚开始取消备份失败的问题。
  * add make ghost img log ui show.
    增加制作ghost形象时的日志显示。
  * git commit 截止f949f417b2767806589849dcb1cc8447b0a3534a。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Fri, 19 Mar 2021 17:21:33 +0800

yhkylin-backup-tools (4.0.13-kylin19) v101; urgency=medium

  * change lock logic: Lock only when the background program is running.
    改变程序加锁逻辑：只锁后台运行的程序。
  * fix delete ui logic: use vector instead of map.
    修改ui逻辑。
  * tidy log ui show.
    修改日志ui显示混乱的问题。
  * lock system upgrade's backup section.
    为系统升级的备份部分加锁。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Fri, 19 Mar 2021 14:10:23 +0800

yhkylin-backup-tools (4.0.13-kylin18) v101; urgency=medium

  * change dev's architecture from all to any.
    在control文件中改变dev包的架构为any。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Thu, 18 Mar 2021 17:28:57 +0800

yhkylin-backup-tools (4.0.13-kylin17) v101; urgency=medium

  * fix "add package yhkylin-backup-tools-dev"

 -- Bi Wenjie <biwenjie@kylinos.cn>  Thu, 18 Mar 2021 11:28:06 +0800

yhkylin-backup-tools (4.0.13-kylin16) v101; urgency=medium

  * slove-bug-39511-user-guide-not-complete.
  * slove-bug39622-and-bug23743.
  * solve-bug41111-no-title-icon-while-not-create-backup-part.
  * solve-bug39609-39622-title-not-show-all--while-in-English.
  * solve-bug-39609-37887-39622.
  * add package yhkylin-backup-tools-dev.
  * git commit 截止 0f19ea54f447ce79c8e2c4943a217f67e419f5ef。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Wed, 17 Mar 2021 16:55:38 +0800

yhkylin-backup-tools (4.0.13-kylin15) v101; urgency=medium

  * change dbus signal sendStartBackupFailResult to sendStartBackupResult.
    改变dbus信号sendStartBackupFailResult为sendStartBackupResult。
  * improve delete backuppoint logic.
    完善删除备份点的逻辑。
  * when udisk is readonly, show error.
    当u盘是只读的，显示错误。
  * fix MyMountProxy logic, which becomes blocked.
    完善MyMountProxy的逻辑，它变为阻塞的。
  * git commit 截止 a860b445e3ff467e0d1587ed29fb76186f28b13e。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Mon, 15 Mar 2021 20:36:34 +0800

yhkylin-backup-tools (4.0.13-kylin14) v101; urgency=medium

  * fix mount backup partition rw failed.
    修改挂载/backup分区失败的问题。
  * write to lockfile different content in 990/v10pro.
    在990/v10pro的锁文件中写入不同的内容。
  * git commit 截止ec32af3d45ff55beef1985ee267298e6280fdfae。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Sun, 14 Mar 2021 14:51:34 +0800

yhkylin-backup-tools (4.0.13-kylin13) v101; urgency=medium

  * modify logic of system update backup about.
    修改控制面板中系统升级备份的相关逻辑。
      1. update bootinfo when inc system backup finished.
      1. 在系统升级增量备份完成后更新bootinfo。
      2. change dbus interface: getBackupState.
      2. 改变dbus接口：getBackupState。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Sat, 13 Mar 2021 14:35:35 +0800

yhkylin-backup-tools (4.0.13-kylin12) v101; urgency=medium

  * back: do not send start success when backup start.
    回退：当备份开始时不发送信号。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Fri, 12 Mar 2021 11:14:42 +0800

yhkylin-backup-tools (4.0.13-kylin11) v101; urgency=medium

  * back: not send BACKUP_STATE_INIT when backup finished.
    回退：备份完成时不发送BACKUP_STATE_INIT的信号。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Fri, 12 Mar 2021 01:08:44 +0800

yhkylin-backup-tools (4.0.13-kylin10) v101; urgency=medium

  * fix udisk restore failed
    修复u盘备份失败的问题。
  * drop /etc/.bootinfo in excludepaths 
    在过滤路径中去掉/etc/.bootinfo。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Wed, 10 Mar 2021 00:50:52 +0800

yhkylin-backup-tools (4.0.13-kylin9) v101; urgency=medium

  * delete .qmake.stash to rebuild.

 -- Bi Wenjie <biwenjie@kylinos.cn>  Mon, 08 Mar 2021 19:28:37 +0800

yhkylin-backup-tools (4.0.13-kylin8) v101; urgency=medium

  * improve du sizetool, add /etc/.bootinfo in excludepaths.
    改进du工具，在excludepaths中增加/etc/.bootinfo。
  * modify backup-auto and backup-auto-efi, now cp backup excludepaths to every backups
    修改backup-auto和backup-auto-efi脚本，现在将过滤路径存到每个备份中。
  * improve error log(/var/log/backup.txt)
    改进关于/var/log/backup.txt的相关问题。
  * git commit 截止 a91ce40443875f3aa5896a6101ca90de972714c0。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Mon, 08 Mar 2021 18:12:34 +0800

yhkylin-backup-tools (4.0.13-kylin7) v101; urgency=medium

  * improve du sizetool, add /etc/.bootinfo in excludepaths.
    改进du工具，在excludepaths中增加/etc/.bootinfo。
  * modify backup-auto and backup-auto-efi, now cp backup excludepaths to every backups
    修改backup-auto和backup-auto-efi脚本，现在将过滤路径存到每个备份中。
  * git commit 截止 70e7fd9a0cf4d80d26bed06e03b3a379f28821a6。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Mon, 08 Mar 2021 13:34:30 +0800

yhkylin-backup-tools (4.0.13-kylin6) v101; urgency=medium

  * fix UDisk' unique logic in backupmanagement and backuplist
    修复关于u盘在备份管理和备份列表中唯一性显示的问题。
  * in auto-backup / auto-backup-efi shell, success state change to "finished", fail state change to "unfinished".
    在auto-backup / auto-backup-efi 脚本中，成功的状态改为"finished", 失败的状态改为"unfinished"。
  * add /cdrom/* and /swap_file in excludepaths.
    在过滤路径中添加 /cdrom* 和 /swap_file。
  * Add the prompt of making U disk temporary file failed.
    增加制作u盘临时文件失败的提示。
  * git commit 截止 167f1f918fe508ec65fd135a90a011f1420f2126。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Sat, 06 Mar 2021 11:50:00 +0800

yhkylin-backup-tools (4.0.13-kylin5) v101; urgency=medium

  * The size limit of U disk discovery is cancelled.
    取消了u盘发现关于大小的限制。
  * chang lockfile permission and content.
    修改锁文件权限和内容。
  * fix uefi backup and restore fail.
    修复uefi相关的备份还原失败的问题。
  * add reboot when restore finished.
    同步还原成功后重启的代码。
  * improve log sth.
    完善日志ui的相关逻辑。
  * now show every backup's device
    现在显示每个备份的设备。
  * git commit 截止 52ce69574f84cd8d2ab17a1ca6a3eabaaba55f77。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Thu, 04 Mar 2021 23:19:02 +0800

yhkylin-backup-tools (4.0.13-kylin4) v101; urgency=medium

  * add uefi backup and restore
    增加关于uefi相关的备份还原逻辑
  * fix backuplist show crashed
    修复备份列表显示相关的问题
  * update qt_zh_CN.ts
    更新翻译
  * git commit 截止1b9eb99baf739725fa551b3289b64f4f12e9a364。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Wed, 03 Mar 2021 20:19:49 +0800

yhkylin-backup-tools (4.0.13-kylin3) v101; urgency=medium

  * add uefi backup and restore
    增加uefi相关的备份还原逻辑
  * update qt_zh_CN.ts
    更新翻译文件

 -- Bi Wenjie <biwenjie@kylinos.cn>  Wed, 03 Mar 2021 13:42:25 +0800

yhkylin-backup-tools (4.0.13-kylin2) v101; urgency=medium

  * fix increment about; 
    修复增量操作相关。
  * drop z option in backup-auto / backup-auto-efi
    去掉backup-auto / backup-auto-efi 中的z选项。
  * add --factorybackup option in backup-auto and backup-auto-efi shell。
    为backup-auto和backup-auto-efi脚本增加--factorybackup选项。
  * git commit 截止 23358b437e84c67ec5c3ef62a082b52a9a20aeb7。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Mon, 01 Mar 2021 17:43:44 +0800

yhkylin-backup-tools (4.0.13-kylin1) v101; urgency=medium
  
    * rewrite backup-daemon

 -- Bi Wenjie <biwenjie@kylinos.cn>  Thu, 25 Feb 2021 20:50:53 +0800

yhkylin-backup-tools (4.0.12-kylin48) v101; urgency=medium

  * fix bug38345 【麒麟备份还原】：识别码长度一致，显示的位数不一致
  * slove-bug-38345-uuid-length-dismatch.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Sat, 06 Feb 2021 19:47:31 +0800

yhkylin-backup-tools (4.0.12-kylin47) v101; urgency=medium

  * fix bug 与用户手册相关的。
  * fix bug38265 【麒麟备份还原工具】新建数据备份窗口本地默认路径字体显示不全
  * fix bug37887 【备份还原工具】选择指定路径为移动设备，不选择设备进行备份，实际备份至/backup
  * fix-bug-about-user-guide-and-path-select-default-none.patch
 -- Zhang Jun <zhangjun@kylinos.cn>  Sat, 06 Feb 2021 17:00:17 +0800

yhkylin-backup-tools (4.0.12-kylin46) v101; urgency=medium

  * fix UDisk backup system too slowly.
    修复U盘设备备份系统太慢的问题。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Fri, 05 Feb 2021 20:17:01 +0800

yhkylin-backup-tools (4.0.12-kylin45) v101; urgency=medium

  * fix bug 37617 【备份还原工具】备份设备名称显示不全，鼠标置于其上不显示完整路径
  * fix bug 33844 [备份还原]：在grub界面进行的备份在操作日志中的备份时间不正确
  * fix-bug-when-backup-in-grub-time-incorrect.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Fri, 05 Feb 2021 17:52:20 +0800

yhkylin-backup-tools (4.0.12-kylin44) v101; urgency=medium

  * change contents in lock file for the program, fix kylin43
    改变锁文件中的内容(kylin43改错)

 -- Bi Wenjie <biwenjie@kylinos.cn>  Fri, 05 Feb 2021 16:13:24 +0800

yhkylin-backup-tools (4.0.12-kylin43) v101; urgency=medium

  * change contents in lock file for the program
    改变锁文件中的内容

 -- Bi Wenjie <biwenjie@kylinos.cn>  Fri, 05 Feb 2021 14:48:46 +0800

yhkylin-backup-tools (4.0.12-kylin42) v101; urgency=medium

  * add lock file for the program.
    为程序添加锁文件.

 -- Bi Wenjie <biwenjie@kylinos.cn>  Wed, 03 Feb 2021 21:19:22 +0800

yhkylin-backup-tools (4.0.12-kylin41) v101; urgency=medium

  * fix bug37222 把“限100个中英文字母”改成‘限100个字符’
  * fix bug18082 二级窗口的右上方图标变形
  * fix bug32261 删除按钮图标模糊
  * fix-bug-about-ui-from-37222-to-32261.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Tue, 02 Feb 2021 17:53:17 +0800

yhkylin-backup-tools (4.0.12-kylin40) v101; urgency=medium

  * update qt_zh_CN.ts
    更新qt_zh_CN 
  * Fix problems that cannot restore in live-cd(bug37018) 
    修复在live-cd环境中无法还原的问题。
 -- Bi Wenjie <biwenjie@kylinos.cn>  Mon, 01 Feb 2021 20:53:33 +0800

yhkylin-backup-tools (4.0.12-kylin39) v101; urgency=medium

  * 在自动系统备份时添加update-grub 操作
  * fix bug37178 备份过程中使用机器”的提示框的OK和cancel未汉化
  * fix bug23743 操作日志界面备注未汉化
  * fix bug18159 新建数据备份该功能下会忽略中存在backup/efi
  * fix bug37184  点击选择指定路径窗口的关闭按钮，也会弹出开始备份窗口
  * fix-bug-from-37178-to-37184.patch 

 -- Zhang Jun <zhangjun@kylinos.cn>  Mon, 01 Feb 2021 20:09:56 +0800

yhkylin-backup-tools (4.0.12-kylin38) v101; urgency=medium

  * fix bug33737 还原选择备份点的界面标题图案缺失
  * 以及添加图标对应的标题 系统备份信息列表和数据备份信息列表
  * fix-bug33737-add-icon_and_title_in-restore-page.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Sat, 30 Jan 2021 14:20:45 +0800

yhkylin-backup-tools (4.0.12-kylin37) v101; urgency=medium

  * fix increment restore 's failure with udisk.
    修复u盘增量还原失败的问题。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Thu, 28 Jan 2021 14:05:16 +0800

yhkylin-backup-tools (4.0.12-kylin36) v101; urgency=medium

  * fix bug24470 控制面板打不开默认界面为系统备份界面
  * slove-bug24470-cannot-open-default-page-is-sysrestore.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Thu, 28 Jan 2021 11:50:47 +0800

yhkylin-backup-tools (4.0.12-kylin35) v101; urgency=medium

  * Better the logic of targetlistdialog in mainDialog.
    完善mainDialog中还原列表的相关逻辑。
  * Better mksquashfs' some options.
    完善mksquashfs相关操作。
  * fix udisk's shown twice in data backup.
    修复在数据备份界面u盘出现两次的问题。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Wed, 27 Jan 2021 19:02:13 +0800

yhkylin-backup-tools (4.0.12-kylin34) v101; urgency=medium

  * fix bug36090 界面提示语问题
  * fix bug35709 备份界面第五栏无名称问题
  * fix bug33857 系统备份和备份到U盘的进度条显示
  * fix bug32261 二级页面按钮不美观
  * slove-bugs-from-36090-to-32261.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Wed, 27 Jan 2021 18:08:49 +0800

yhkylin-backup-tools (4.0.12-kylin33) v101; urgency=medium

  * rsync's options "-z" has dropped.(This maybe shorten the time, but is
    should be test more) 
    rsync的-z选项移除（这应该会减少拷贝时间，但是还需多测试）
  * mksquashfs add "-wildcards" option
    mksquashfs增加"-wildcards"选项

 -- Bi Wenjie <biwenjie@kylinos.cn>  Tue, 26 Jan 2021 18:31:42 +0800

yhkylin-backup-tools (4.0.12-kylin32) v101; urgency=medium

  * fix get prefix problem in kylin31.
    修复kylin31引入的获取前缀路径bug
  * call parse' backupDiskExists after get prefix_path
    将parse的backupDiskExists检查放到获取前缀路径之后 

 -- Bi Wenjie <biwenjie@kylinos.cn>  Mon, 25 Jan 2021 17:43:54 +0800

yhkylin-backup-tools (4.0.12-kylin31) v101; urgency=medium

   * Now only U-disk devices are checked for uniqueness
     现在仅对u盘设备进行唯一性检查 

 -- Bi Wenjie <biwenjie@kylinos.cn>  Mon, 25 Jan 2021 12:41:23 +0800

yhkylin-backup-tools (4.0.12-kylin30) v101; urgency=medium

   * udpate Triptych ui for UKUI
   * fix bug 34880 非管理员用户点击开始备份，警告框没有图标
   * 修改三联ui，增加选项帮助、关于及退出功能。  
   * update-triptych-ui-for-UKUI.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Mon, 25 Jan 2021 11:01:03 +0800

yhkylin-backup-tools (4.0.12-kylin29) v101; urgency=medium

    * Use "find . -name *.cpp -o -name *.h -o -name *.hpp | xargs clang-format
     -style=webkit -i" to format the whole project's source code. No new source
     commmit.
     使用"find . -name *.cpp -o -name *.h -o -name *.hpp | xargs clang-format
     -style=webkit -i"格式化项目代码。无新代码提交。

 -- Bi Wenjie <biwenjie@kylinos.cn>  Sat, 23 Jan 2021 13:26:16 +0800

yhkylin-backup-tools (4.0.12-kylin28) v101; urgency=medium

  * Fix the problem of log refresh exception caused by UI update in kylin7 
    修复由kylin7版本更新ui之后引起的日志刷新异常的问题

 -- Bi Wenjie <biwenjie@kylinos.cn>  Fri, 22 Jan 2021 22:17:47 +0800

yhkylin-backup-tools (4.0.12-kylin27) v101; urgency=medium

  * fix: targetlistdialog can' show list after backuped.
    解决备份之后在还原列表中无法出现最近备份的问题
  * Delete the entry in the unique identification file when deleting the entry in the backup management
    删除备份管理中的条目时，也同步删除唯一识别文件中的条目
  * Add unique identification function in backup management
    在备份管理中增加唯一识别功能

 -- Bi Wenjie <biwenjie@kylinos.cn>  Fri, 22 Jan 2021 12:13:15 +0800

yhkylin-backup-tools (4.0.12-kylin26) v101; urgency=medium

  * update DEVICE_SETTING not exit
  * 更新代码修复打不开kybackup问题
  * slove-cannot-open-kybackup.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Thu, 21 Jan 2021 13:40:51 +0800

yhkylin-backup-tools (4.0.12-kylin25) v101; urgency=medium

  * manage UDisk in backupmanagement
    在备份管理中添加U盘设备的管理

 -- Zhang Jun <zhangjun@kylinos.cn>  Thu, 21 Jan 2021 03:04:45 +0800

yhkylin-backup-tools (4.0.12-kylin24) v101; urgency=medium

  * update new date backup for udisk ui
  * 修改新建数据备份页面，增加U盘选项
  * update-new-date-backup-for-udisk-ui.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Wed, 20 Jan 2021 15:58:19 +0800

yhkylin-backup-tools (4.0.12-kylin23) v101; urgency=medium

  * add Udisk Data-Backup-Restore
  * 增加u盘数据备份还原功能

 -- Zhang Jun <zhangjun@kylinos.cn>  Wed, 20 Jan 2021 11:40:08 +0800

yhkylin-backup-tools (4.0.12-kylin22) v101; urgency=medium

  * fix bug 33737 还原选择备份点的界面标题图案缺失
  * fix bug 34010 备份管理界面下发横向滑动条略显多余
  * fix bug 34025 数据备份界面新建和增量备份图标无区别
  * fix bug 34218 制作Ghost的提示框界面过于简陋
  * fix-bug-about_ui.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Tue, 19 Jan 2021 18:24:40 +0800

yhkylin-backup-tools (4.0.12-kylin21) v101; urgency=medium

  * update backup system ui and close window donot exit
  * 更新新建系统备份ui、修复关闭没退出系统备份
  * Update-backup-for-system-ui.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Mon, 18 Jan 2021 20:46:54 +0800

yhkylin-backup-tools (4.0.12-kylin20) v101; urgency=medium

  * fix targetlistdialog shown crashed
  * 修复还原列表显示引起的崩溃问题

 -- Zhang Jun <zhangjun@kylinos.cn>  Mon, 18 Jan 2021 17:57:51 +0800

yhkylin-backup-tools (4.0.12-kylin19) v101; urgency=medium

  * Separate help documents into the package to manage itself 
  * 帮助文档分离，放在/data 目录下个人管理
  * Separate-help-documents-into-itself.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Mon, 18 Jan 2021 15:13:55 +0800

yhkylin-backup-tools (4.0.12-kylin18) v101; urgency=medium

  * add Udisk system backup-restore
    增加u盘系统备份还原功能
  * add F1 action for help
    增加F1按键弹出帮助

 -- Zhang Jun <zhangjun@kylinos.cn>  Mon, 18 Jan 2021 12:37:24 +0800

yhkylin-backup-tools (4.0.12-kylin17) v101; urgency=medium

  * 修改关于界面邮箱,修改成support@kylinos.cn
  * fix bug27871 ghost 时图标被压缩
  * 增量备份成功或失败时,给回滚自动备份系统更新/etc/.bootinfo配置
  * update-autobackupSystm-rollback-config.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Thu, 14 Jan 2021 14:42:22 +0800

yhkylin-backup-tools (4.0.12-kylin16) v101; urgency=medium

  * update rollback shell for auto backup system
  * update-rollback-shell-for-backup.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Wed, 13 Jan 2021 16:46:25 +0800

yhkylin-backup-tools (4.0.12-kylin15) v101; urgency=medium

  * fix: add emit action when system-update-incbackup success
    修复：系统升级增量备份成功之后没有发射成功信号的bug
  * feat: add getBackupCommentForSystemUpdate dbus interface in backup-daemon
    新：增加系统备份之后, 返回值 为comment和state的dbus接口，该功能只适用于系统升级备份 

 -- Zhang Jun <zhangjun@kylinos.cn>  Wed, 13 Jan 2021 14:29:20 +0800

yhkylin-backup-tools (4.0.12-kylin14) v101; urgency=medium

  * fix: add emit action when system-update-backup success
  * 增加由k12版本引进的系统升级备份成功之后没有发射成功信号的bug。
  * (备注：k12版本99%无法显示的问题依然存在)

 -- Zhang Jun <zhangjun@kylinos.cn>  Tue, 12 Jan 2021 11:08:38 +0800

yhkylin-backup-tools (4.0.12-kylin13) v101; urgency=medium

  * add mount backup action in system-update-backup
  * 在系统升级备份中添加挂载/backup分区的动作

 -- Zhang Jun <zhangjun@kylinos.cn>  Mon, 11 Jan 2021 11:10:30 +0800

yhkylin-backup-tools (4.0.12-kylin12) v101; urgency=medium

  * fix some errors about system-update-backup
  * 1.修改系统升级备份中断后，无法增量备份(提示找不到Uuid)的问题
  * 2.修改系统升级备份进度条刚开始为1%，和99%无法显示的问题
  * 3.修改了几处系统升级备份dbus的返回值

 -- Liu Cong <liucong1@kylinos.cn>  Sat, 09 Jan 2021 18:11:54 +0800

yhkylin-backup-tools (4.0.12-kylin11) v101; urgency=medium

  * update emit sendRate function

 -- zhangjun <zhangjun@kylinos.cn>  Fri, 08 Jan 2021 15:42:00 +0800

yhkylin-backup-tools (4.0.12-kylin10) v101; urgency=medium

  * update BACKUP_STATE,no backip default 99
  * 修改备份还原的宏，之前默认0 有问题 

 -- zhangjun <zhangjun@kylinos.cn>  Thu, 07 Jan 2021 21:01:49 +0800

yhkylin-backup-tools (4.0.12-kylin9) v101; urgency=medium

  * update create-new-backup-atuo-args,disable the autoback select
  * 修改了自动备份的接口参数，禁用了自动备份的选项要求不可以删除。
  * update-create-autobackup-args.patch

 -- zhangjun <zhangjun@kylinos.cn>  Thu, 07 Jan 2021 11:13:11 +0800

yhkylin-backup-tools (4.0.12-kylin8) v101; urgency=medium

  * add-create-new-backup-auto.patch

 -- Zhang Jun <zhangjun@kylinos.cn>  Sun, 03 Jan 2021 15:57:04 +0800

yhkylin-backup-tools (4.0.12-kylin7) v101; urgency=medium

  * update ui for UkUI style 

 -- zhangjun <zhangjun@kylinos.cn>  Wed, 30 Dec 2020 16:24:39 +0800

yhkylin-backup-tools (4.0.12-kylin3) v101; urgency=medium

  * 支持启动直接显示系统还原界面
  * Add support to show restore label directly

 -- liuyi <liuyi@kylinos.cn>  Mon, 14 Dec 2020 09:29:12 +0800

yhkylin-backup-tools (4.0.12-kylin2) v101; urgency=medium

  * Fix icon issue(#18386)

 -- liuyi <liuyi@kylinos.cn>  Sun, 27 Sep 2020 15:07:56 +0800

yhkylin-backup-tools (4.0.12-kylin1) v101; urgency=medium

  * Make version 4.0.12

 -- liuyi <liuyi@kylinos.cn>  Fri, 18 Sep 2020 13:53:31 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-24) v100; urgency=medium

  * Fix ghost translation issue

 -- liuyi <liuyi@kylinos.cn>  Thu, 17 Sep 2020 19:34:37 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-23) v100; urgency=medium

  * Mass changes for grub backup and restore 

 -- liuyi <liuyi@kylinos.cn>  Wed, 09 Sep 2020 20:29:34 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-22) v100; urgency=medium

  * Fix window size(#13119)

 -- liuyi <liuyi@kylinos.cn>  Mon, 24 Aug 2020 13:38:39 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-21) v100; urgency=medium

  * Support efi directory backuping and restoring
  * Update some translations
  * Fix bug #15440
  * Disable right menu for text window 
  * Fix use wrong prompt for increasing restore (#14365)

 -- liuyi <liuyi@kylinos.cn>  Thu, 13 Aug 2020 15:31:27 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-20) v100; urgency=medium

  * Modify comments for desktop file

 -- liuyi <liuyi@kylinos.cn>  Fri, 07 Aug 2020 17:29:48 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-19) v100; urgency=medium

  * Fix issue backup partion won't mount cause by fixing bug 2997

 -- liuyi <liuyi@kylinos.cn>  Wed, 27 May 2020 19:06:33 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-18.1) v100; urgency=medium

  * Find another way to resolve bug 2997 

 -- liuyi <liuyi@kylinos.cn>  Fri, 22 May 2020 09:27:49 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-18) v100; urgency=medium

  * resolve unexpected close when no backup partition exists(#2997)

 -- liuyi <liuyi@kylinos.cn>  Thu, 21 May 2020 11:15:09 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-17) v100; urgency=medium

  * Fix bug in livecd mode

 -- liuyi <liuyi@kylinos.cn>  Fri, 08 May 2020 10:46:27 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-16) v100; urgency=medium

  * For security team to fix bug 2796

 -- liuyi <liuyi@kylinos.cn>  Wed, 06 May 2020 16:56:06 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-15) v100; urgency=medium

  * Fix translation problem 

 -- liuyi <liuyi@kylinos.cn>  Fri, 24 Apr 2020 00:06:06 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-14) v100; urgency=medium

  * For whole disk backup and restore
    - exclude-ui-adjust.patch
    - for-whole-disk-backup.patch
    - for-whole-disk-backup2.patch
    - for-whole-system-restore.patch
    - translations-for-whole-disk-backup-and-restore.patch
    - for-whole-system-restore2.patch

 -- liuyi <liuyi@kylinos.cn>  Thu, 23 Apr 2020 16:52:04 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-13) v100; urgency=medium

  * Only can move mainwindow in blue background region

 -- liuyi <liuyi@kylinos.cn>  Tue, 14 Apr 2020 20:46:15 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-13~1) v100; urgency=medium

  * Fix window move randomly when choose backup type(#2697)

 -- liuyi <liuyi@kylinos.cn>  Tue, 14 Apr 2020 19:42:15 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-12) v100; urgency=medium

  * Also ignore /mnt/* instead of /mnt when grub backup or restore 

 -- liuyi <liuyi@kylinos.cn>  Thu, 09 Apr 2020 18:45:25 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-11) v100; urgency=medium

  * Ignore anything in /mnt/ instead of whole mnt directory

 -- liuyi <liuyi@kylinos.cn>  Mon, 30 Mar 2020 14:57:38 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-10) v100; urgency=medium

  * Ignore udisks cache file (#2317)

 -- liuyi <liuyi@kylinos.cn>  Thu, 12 Mar 2020 13:37:54 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-9) v100; urgency=medium

  * Standardize icon and desktop file

 -- liuyi <liuyi@kylinos.cn>  Fri, 06 Mar 2020 13:58:39 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-8) juniper; urgency=medium

  * Fix data backup single file failed bug when file size is zero

 -- liuyi <liuyi@kylinos.cn>  Wed, 04 Mar 2020 09:34:13 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-7) juniper; urgency=medium

  * Fix bug 1594, 1595 for data backup and restore

 -- liuyi <liuyi@kylinos.cn>  Thu, 16 Jan 2020 15:29:46 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-6) juniper; urgency=medium

  * Support Nvme for LiveCD mode

 -- liuyi <liuyi@kylinos.cn>  Tue, 14 Jan 2020 20:52:50 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-5) juniper; urgency=medium

  * Fix Chinese translation bug #1637

 -- liuyi <liuyi@kylinos.cn>  Fri, 03 Jan 2020 14:43:36 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-4) juniper; urgency=medium

  * Support lvm by zhangze

 -- liuyi <liuyi@kylinos.cn>  Tue, 31 Dec 2019 15:12:35 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-3) juniper; urgency=medium

  * Rebuild for lp

 -- liuyi <liuyi@kylinos.cn>  Fri, 27 Dec 2019 11:35:44 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-2) juniper; urgency=medium

  * Fix wrong time to detect fstab file(#426)

 -- liuyi <liuyi@kylinos.cn>  Sat, 06 Jul 2019 15:48:35 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord-1) juniper; urgency=medium

  * Fix wrong timzone in initrd(#316)

 -- liuyi <liuyi@kylinos.cn>  Tue, 25 Jun 2019 10:44:16 +0800

yhkylin-backup-tools (4.0.11.1.0.8kord) juniper; urgency=medium

  * ghost界面一键Ghost功能介绍改为中文模式

 -- guziming <guziming@kylinos.cn>  Wed, 27 Mar 2019 16:05:14 +0800

yhkylin-backup-tools (4.0.11.1.0.7kord) juniper; urgency=low

  * 解决2个问题
  * 1) 文件管控: 特别是那些$HOME/.keysec/fpb以及这些fpb文件中记录的文件
  *    设置rsync退出状态23为正常
  * 2) ‘还原成功后系统将会自动重启’的对话框中英文提示的换行问题,以前被截断了.

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Mon, 25 Feb 2019 16:36:00 +0800
yhkylin-backup-tools (4.0.11.1.0.6kord) juniper; urgency=low

  * bug 6959, 6966: grub备份失败后写日志/var/log/backup.txt
  * 如果有文件管控，则grub可以备份还原；在线则不能成功备份还原被管控文件

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 3 Jan 2019 9:45:00 +0800
yhkylin-backup-tools (4.0.11.1.0.5kord) juniper; urgency=low

  * bug 6959, 6966: grub备份失败后写日志/var/log/backup.txt
  * bug 7003, 7006: livecd无还原功能
  * bug 7004: 还原完成后重启，去掉了确认按钮
  * 与55s版本的区别在于55s:(bug 7007: 忽略了/etc/fpb),而本版本没有忽略

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 28 Dec 2018 17:32:00 +0800
yhkylin-backup-tools (4.0.11.1.0.4kord) juniper; urgency=low

  * 解决临时文件消失(xx has vanished)的问题

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Mon, 10 Dec 2018 15:12:00 +0800
yhkylin-backup-tools (4.0.11.1.0.3kord) juniper; urgency=low

  * GRUB备份还原忽略/data分区

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 14 Sep 2018 11:48:00 +0800
yhkylin-backup-tools (4.0.11.1.0.2kord) juniper; urgency=low

  * BUG #6509 执行完备份后，操作日志为空，需重启程序后更新
  * BUG #6517 主界面数据备份图标显示不全

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Mon, 3 Sep 2018 16:00:00 +0800
yhkylin-backup-tools (4.0.11.1.0.1kord) juniper; urgency=low

  * BUG4405, 通过ghost安装的系统，/media/kylin目录权限不正确，导致u盘挂载不上
  * 系统备份时，不再备份/media/目录下的内容    

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 23 Aug 2018 9:35:00 +0800
yhkylin-backup-tools (4.0.11.1.0.0kord) juniper; urgency=low

  * 按照设计组要求，重新设计界面
  * 部分中英文按钮

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 15 Aug 2018 11:18:00 +0800
yhkylin-backup-tools (4.0.10.8.4.11kord) juniper; urgency=low

  * BUG6365, grub备份完成后，登录系统，打开备份还原工具-备份管理，查看不到备份点的记录
  * 原因: 图形界面使用QDomDocument读写XML文件，当子节点为空时，写入XML文件时内容为"<?xml version='1.0'?>\n<backupList/>"，这样data/backup-auto解析时就会出错.
  * kybackup-hooks:76:mkdir -p $DESTDIR/etc/update-motd.d #add $DESTDIR
  * kybackup-hooks:77:ExistCp /etc/update-motd.d/99-kylin-verify-info $DESTDIR/etc/update-motd.d/ #add '/'

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 9 Aug 2018 11:40:00 +0800
yhkylin-backup-tools (4.0.10.8.4.10kord) juniper; urgency=low

  * BUG6143, 测试livecd不能使用

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Mon, 16 Jul 2018 11:20:00 +0800
yhkylin-backup-tools (4.0.10.8.4.9kord) juniper; urgency=low

  * 标准用户可以使用本工具
  * backup-auto: grub还原时寻找最近可用的备份时，不考虑'新建数据备份'和'数据增量备份'; 备份时添加了‘<Type>0</Type>’

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 24 May 2018 10:30:00 +0800
yhkylin-backup-tools (4.0.10.8.4.8kord) juniper; urgency=low

  * 只有超级用户才可以使用本工具
  * backup-auto: grub还原时寻找最近可用的备份时，不考虑'新建数据备份'和'数据增量备份'; 备份时添加了‘<Type>0</Type>’

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 24 May 2018 10:05:00 +0800
yhkylin-backup-tools (4.0.10.8.4.7kord) juniper; urgency=low

  * 标准用户可以使用本工具

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 10 May 2018 10:56:00 +0800
yhkylin-backup-tools (4.0.10.8.4.6kord) juniper; urgency=low

  * 只有超级用户才可以使用本工具

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Tue, 24 Apr 2018 16:56:00 +0800
yhkylin-backup-tools (4.0.10.8.4.5kord) juniper; urgency=low

  * 给备份添加1个注释
  * 在日志表中可以显示注释
  * 修改图形支持添加注释
  * 前端后端通过QString传递时中文乱码问题

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Tue, 24 Apr 2018 15:22:00 +0800
yhkylin-backup-tools (4.0.10.8.3.10kord) juniper; urgency=low

  * 添加数据备份和还原功能，允许只备份或者还原某些目录
  * 备份管理列表中添加备份类型一列

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 19 Apr 2018 17:38:00 +0800
yhkylin-backup-tools (4.0.10.8.3.10kord) juniper; urgency=low

  * 添加数据备份和还原功能，允许只备份或者还原某些目录
  * 备份管理列表中添加备份类型一列

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 19 Apr 2018 17:38:00 +0800
yhkylin-backup-tools (4.0.10.8.0kord) juniper; urgency=low

  * 添加数据备份和还原功能，允许只备份或者还原某些目录

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Sun, 8 Apr 2018 11:50:00 +0800
yhkylin-backup-tools (4.0.10.7.7kord) juniper; urgency=low

  * 调整忽略文件界面，使其更美观

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 29 Dec 2017 17:00:00 +0800
yhkylin-backup-tools (4.0.10.7.6kord) juniper; urgency=low

  * 忽略掉/mnt

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 29 Dec 2017 14:15:00 +0800
yhkylin-backup-tools (4.0.10.7.5kord) juniper; urgency=low

  * bug4858 解决查看备份点大小问题，不论是否备份成功都显示备份大小

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 20 Dec 2017 16:36:00 +0800
yhkylin-backup-tools (4.0.10.7.4kord) juniper; urgency=low

  * 测试，还原时前端给后端传递一个前端的进程号，在还原结束时由后端判断前端是否存在，若不存在则直接重启，若存在则通知前端.
  * 日志文件仍使用/var/log/backup.txt
  * bug5302

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 7 Dec 2017 9:00:00 +0800
yhkylin-backup-tools (4.0.10.7.3kord) juniper; urgency=low

  * 测试，把/var/log/backup.txt改为/backup/backup.txt
  * bug5302

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 6 Dec 2017 15:50:00 +0800
yhkylin-backup-tools (4.0.10.7.3kord) juniper; urgency=low

  * 测试，把/var/log/backup.txt改为/backup/backup.txt
  * bug5302

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 6 Dec 2017 15:50:00 +0800
yhkylin-backup-tools (4.0.10.7.3kord) juniper; urgency=low

  * 测试，把/var/log/backup.txt改为/backup/backup.txt
  * bug5302

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 6 Dec 2017 15:50:00 +0800
yhkylin-backup-tools (4.0.10.7.2kord) juniper; urgency=low

  * 测试，重写reboot方式：在后端调用系统服务重启
  * 添加sync功能
  * bug5302

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 6 Dec 2017 11:50:00 +0800
yhkylin-backup-tools (4.0.10.7.1kord) juniper; urgency=low

  * 测试，去掉reboot
  * bug5302

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Tue, 5 Dec 2017 17:20:00 +0800
yhkylin-backup-tools (4.0.10.7.0kord) juniper; urgency=low

  * 备份还原在还原时需要能把自己覆盖，以便把备份换用工具自身也还原
  * 备份还原从SP1升级到SP2后，再还原到SP1时备份还原不能启动
  * bug5302

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Mon, 4 Dec 2017 11:00:00 +0800
yhkylin-backup-tools (4.0.10.6.24kord) juniper; urgency=low

  * bug 556: ghost文件名自动加上备份操作系统的体系结构

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 15 Nov 2017 11:40:00 +0800
yhkylin-backup-tools (4.0.10.6.23kord) juniper; urgency=low

  * 修改grub脚本程序可执行权限，否则grub备份还原有问题

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 1 Nov 2017 12:20:00 +0800
yhkylin-backup-tools (4.0.10.6.22kord) juniper; urgency=low

  * bug 4913, 安装时未构造备份还原分区，开机后，点击备份还原，弹出应用窗口和提示窗口. 修改方法：如果/etc/.bootinfo文件不存在，则提示安装操作系统时必须勾选创建备份还原分区
  * bug 4912，解析文件backuplist.xml失败时，不附带具体的错误信息，因为这些信息过于琐碎
  * 调整源代码各行的左间距，使其层次化，更规范化

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 13 Oct 2017 10:45:50 +0800
yhkylin-backup-tools (4.0.10.6.21kord) juniper; urgency=low

  * grub备份还原界面的国际化

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 1 Sep 2017 18:00:00 +0800
yhkylin-backup-tools (4.0.10.6.20kord) juniper; urgency=low

  * 去掉grub备份还原界面中的“返回值ret"的调试信息

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 1 Sep 2017 13:50:00 +0800
yhkylin-backup-tools (4.0.10.6.19kord) juniper; urgency=low

  * grub备份还原界面采用中文提示,而不是原来的英文提示

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 31 Aug 2017 12:36:00 +0800
yhkylin-backup-tools (4.0.10.6.18kord) juniper; urgency=low

  * 修改备份失败时的提示，以及还原失败时的提示
  * 还原是不等待进程结束以便快速启动进度条窗口

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 10 Aug 2017 17:10:00 +0800
yhkylin-backup-tools (4.0.10.6.17kord) juniper; urgency=low

  * 修改一键还原和增量还原滚动条
  * 中文化

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 10 Aug 2017 10:57:00 +0800
yhkylin-backup-tools (4.0.10.6.16kord) juniper; urgency=low

  * 还原成功后，系统会自动重启

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Tue, 1 Aug 2017 14:10:00 +0800
yhkylin-backup-tools (4.0.10.6.15kord) juniper; urgency=low

  * 允许增量备份失败后再次在失败的备份上继续进行增量备份，从而减少增量备份时间

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Tue, 1 Aug 2017 11:40:00 +0800
yhkylin-backup-tools (4.0.10.6.14kord) juniper; urgency=low

  * 不需要将/usr/share/ubiquity/plugininstall.py中的backup-auto改为backup-auto-efi，将这两个文件设置为相同

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Mon, 31 Jul 2017 18:38:00 +0800
yhkylin-backup-tools (4.0.10.6.12kord) juniper; urgency=low

  * 在backup-auto-efi和backup-auto中创建目录/backup
  * 如果没有备份还原分区，则mount会失败；更改该提示信息为“无法mount备份还原分区”

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Mon, 31 Jul 2017 17:40:00 +0800
yhkylin-backup-tools (4.0.10.6.10kord) juniper; urgency=low

  * 在backup-auto-efi和backup-auto中预先创建目录/backup/snapshots

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Sat, 29 Jul 2017 1:10:00 +0800
yhkylin-backup-tools (4.0.10.6.9kord) juniper; urgency=low

  * 将backup-auto-efi复制为backup-auto

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 28 Jul 2017 14:40:00 +0800
yhkylin-backup-tools (4.0.10.6.8kord) juniper; urgency=low

  * 解决无法启动增量备份进程

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 27 Jul 2017 11:30:00 +0800
yhkylin-backup-tools (4.0.10.6.7kord) juniper; urgency=low

  * 解决ghost安装系统时，/media/kylin目录权限问题
  * 在备份或还原时对/backup/snapshots/backuplist.xml文件是否存在以及是否为文件文件进行了判断
  * 忽略/tmp/*

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 19 Jul 2017 17:50:00 +0800
yhkylin-backup-tools (4.0.10.6.3kord) juniper; urgency=low

  * 忽略/media/kylin,由于其扩展属性

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Mon, 17 Jul 2017 20:23:00 +0800
yhkylin-backup-tools (4.0.10.6.2kord) juniper; urgency=low

  * 如果系统中没有squashfs-tools包，则提示安装
  * 国际化 

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 12 Jul 2017 16:10:00 +0800
yhkylin-backup-tools (4.0.10.5kord) juniper; urgency=low

  * 添加ghost备份时的说明，告诉用户把镜像文件拷贝到可移动设备，然后在安装操作系统时选择从ghost镜像文件来安装系统

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Tue, 11 Jul 2017 11:50:00 +0800
yhkylin-backup-tools (4.0.10.4kord) juniper; urgency=low

  * 如果系统中没有备份，第一次进行grub备份时不会产生文件/backup/snapshots/backuplist.xml，从而导致第一次备份异常

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Tue, 4 Jul 2017 09:09:00 +0800
yhkylin-backup-tools (4.0.10.3kord) juniper; urgency=low

  * 添加squashfs-tools依赖包
  * 缺省输入'/data/*'作为要被忽略的目录
  * 删除临时文件

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 30 Jun 2017 17:10:00 +0800
yhkylin-backup-tools (4.0.10.2kord) juniper; urgency=low

  * 前端添加界面，在备份或者还原时由用户输入需要忽略掉的分区、目录或文件（以前写在程序里）
  * 后端设置该文件/backup/snapshots/.excludeuser（程序本身还设置了不需要由用户输入的文件/backup/snapshots/.exclude）
  * 重新计算磁盘空间

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 28 Jun 2017 19:20:00 +0800
yhkylin-backup-tools (4.0.10.1kord) juniper; urgency=low

  * 添加在线ghost backup功能

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 23 Jun 2017 21:40:00 +0800
yhkylin-backup-tools (4.0.9.36kord) juniper; urgency=low

  * 不计算ROOTFS+/etc/fstab中的/data分区空间大小

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Sat, 17 Jun 2017 02:00:00 +0800
yhkylin-backup-tools (4.0.9.35kord) juniper; urgency=low

  * 标准用户提示信息由错误框改为警告框
  * 按钮位置

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 14 Jun 2017 16:40:00 +0800
yhkylin-backup-tools (4.0.9.34kord) juniper; urgency=low

  * 再次解决扫描漏洞

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 8 Jun 2017 19:40:00 +0800
yhkylin-backup-tools (4.0.9.33kord) juniper; urgency=low

  * livecd的根分区设置为/target
  * 备份,livecd(备份和还原)允许拷贝还原本工具自身文件(mountpoint.cpp);除此之外，还原时（若目标地由备份还原自身程序文件，则不拷贝)
  * livecd在图形界面卸载文件系统，在重新mount文件系统(仅仅livecd可直接sudo无口令)
  * 添加m_firstBackupAllowRemoved是否允许删除第1个备份，以及进行增量备份
  * 若存在/etc/.bootinfo，则忽略
  * 重写.exclude文件，在目录后添加"/*"，例如/dev/*, /proc/*
  * 重写.exclude文件，区分备份和还原
  * desktop文件
  * 添加忽略esc键
  * 正常模式下只有管理员可以使用备份还原工具
  * 设置最低分辨率不能小于1024*768
  * 为tabWidget设置滚动条(AsNeeded)且调整高度，使得备份管理列表如果有多条时能够正确显示
  * 添加注释"注意：请移除所有的可移动存储设备，例如u盘等。"
  * 修改备份管理时的状态
  * 去掉日志中的注释

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Mon, 5 Jun 2017 01:40:00 +0800
yhkylin-backup-tools (4.0.8.2kord) juniper; urgency=low

  * 解决扫描漏洞
  * 国际化

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 12 May 2017 9:50:00 +0800
yhkylin-backup-tools (4.0.8kord) juniper; urgency=low

  * 还原时忽略/boot/efi
  * 出厂备份加了日志记录

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 10 May 2017 15:30:00 +0800
yhkylin-backup-tools (4.0.7.7.20kord) juniper; urgency=low

  * 4.0.7.7.1 测试主对话框大小
  * 4.0.7.7.2 调整字体
  * 4.0.7.7.3 设置退出按钮
  * 4.0.7.7.4 设置备份管理表格
  * 4.0.7.7.5 国际化
  * 4.0.7.7.6 将系统改为从/root开始备份还原
  * 4.0.7.7.7 备份和删除备份，将comment仍为comment,该版本为time格式,去掉了输入备份名称编辑框
  * 4.0.7.7.8 备份，删除备份完成
  * 4.0.7.7.9 测试还原
  * 4.0.7.7.10 测试casper
  * 4.0.7.7.11 后端写日志文件
  * 4.0.7.7.12 日志文件
  * 4.0.7.7.13 只允许livecd模式和backup模式
  * 4.0.7.7.14 还原bug和日志bug1
  * 4.0.7.7.15 还原bug和日志bug2
  * 4.0.7.7.16 还原bug和日志bug3
  * 4.0.7.7.17 targetdialog设置2列
  * 4.0.7.7.18 调试还原1
  * 4.0.7.7.19 严格区分了警告框和严重框,忽略/usr/bin/kybackup和/usr/bin/backup-daemon
  * 4.0.7.7.20 还原后不自动重启

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 3 May 2017 22:56:00 +0800
yhkylin-backup-tools (4.0.7.6kord) juniper; urgency=low

  * 测试plymouth

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 17 Apr 2017 13:30:00 +0800
yhkylin-backup-tools (4.0.7.5kord) juniper; urgency=low

  * 增加了/etc/shadow不还原

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 14 Apr 2017 9:00:00 +0800
yhkylin-backup-tools (4.0.7.4kord) juniper; urgency=low

  * 去掉了yhkylin-backup-tools.install中的注释

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 13 Apr 2017 11:00:00 +0800
yhkylin-backup-tools (4.0.7.3kord) juniper; urgency=low

  * 系统内不能用备份还原工具，维护模式也不能用；只能在Grub阶段能使用备份和还原（yhkylin-backup-tools.install不含desktop和kybackup文件）
  * 在还原的时候不还原/home, /var/log, /boot, /root, /data, /tmp, /etc/uid_list, /etc/passwd, /etc/group

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 12 Apr 2017 21:30:00 +0800
yhkylin-backup-tools (4.0.7.2kord) juniper; urgency=low

  * XGS要求在备份还原时保留另1个文件:/home/data

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 12 Apr 2017 18:20:00 +0800
yhkylin-backup-tools (4.0.7.1kord) juniper; urgency=low

  * XGS要求在备份还原时保留3个文件:/etc/passwd, /etc/group, /etc/uid_list

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 12 Apr 2017 12:00:00 +0800
yhkylin-backup-tools (4.0.7kord) juniper; urgency=low

  * 修改了BOOT时备份但启动后通过麒麟备份还原工具还原失败的问题
  * BOOT备份时不对/data分区进行备份

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 7 Apr 2017 11:00:00 +0800
yhkylin-backup-tools (4.0.6kord) juniper; urgency=low

  * 以shell命令替代mount_fstab和backup-auto，从而使得内核不超过16M
  * kybackup-hooks中去掉了kylin-verify-gui,否则内核多了4.5M
  * kybackup-hooks中增加了bc,用于shell的浮点运算

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 5 Apr 2017 15:30:00 +0800
yhkylin-backup-tools (4.0.5kord) juniper; urgency=low

  * 测试去掉mount_fstab和backup-auto试试内核大小

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 29 Mar 2017 9:47:00 +0800
yhkylin-backup-tools (4.0.4kord) juniper; urgency=low

  * 修改了备份完成后，进度条仍在继续的情况

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Tue, 14 Feb 2017 9:10:00 +0800
yhkylin-backup-tools (4.0.3kord) juniper; urgency=low

  * 通过判断是否有备份还原进程,或者删除备份进程在后台运行,来阻止另外一个进程(备份/还原/删除)再次运行.

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Tue, 24 Jan 2017 17:10:00 +0800
yhkylin-backup-tools (4.0.2kord) juniper; urgency=low

  * 修改kybackup/main.cpp,取消了2.26.2通过强制互斥文件/var/tmp/kybackup.lock(不同用户会有问题)来判断单个程序运行,改为通过执行ps命令方式

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 20 Jan 2017 17:10:00 +0800
yhkylin-backup-tools (4.0.1kord) juniper; urgency=low

  * 修改kybackup/main.cpp,将是否为管理员改为使用dbus来判断

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 20 Jan 2017 10:16:00 +0800
yhkylin-backup-tools (4.0.0kord) juniper; urgency=low

  * 为了区分1E和2版本的区别，把2命令为4.x.x(juniper),把1E命名为3.x.x(ginkgo).

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 21 Dec 2016 10:00:00 +0800
yhkylin-backup-tools (3.0.7kord) juniper; urgency=low

  * 解决备份还原分区打包时的一些问题

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Mon, 12 Dec 2016 11:50:00 +0800
yhkylin-backup-tools (3.0.2kord) juniper; urgency=low

  * 调试livecd(模拟)

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Sun, 11 Dec 2016 16:57:00 +0800
yhkylin-backup-tools (3.0.0kord) juniper; urgency=low

  * 中英文提示（中文化），暂时对/etc目录进行了判断，不能备份和还原；后面需要支持还原。

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Sun, 11 Dec 2016 12:00:00 +0800
yhkylin-backup-tools (2.26.2kord) juniper; urgency=low

  * 强制互斥文件/var/tmp/kybackup.lock为0664权限,修改grub中文提示为英文提示,修改mount成功标识为存在backuplist.xml文件

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Thu, 1 Dec 2016 17:58:00 +0800
yhkylin-backup-tools (2.26kord) juniper; urgency=low

  * 只有管理员才可以使用麒麟备份还原工具,增量备份为最新备份

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 30 Nov 2016 15:50:00 +0800
yhkylin-backup-tools (2.25.1kord) juniper; urgency=low

  * 只有管理员才可以使用麒麟备份还原工具,增量备份为最新备份

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 30 Nov 2016 11:51:00 +0800
yhkylin-backup-tools (2.24kord) juniper; urgency=low

  * 清理了一些调试信息

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Sat, 26 Nov 2016 16:35:00 +0800
yhkylin-backup-tools (2.23.36kord) juniper; urgency=low

  * 添加mount_fstab预先安装磁盘分区，也支持卸载磁盘分区，修改已使用的磁盘量

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Sat, 26 Nov 2016 14:20:00 +0800
yhkylin-backup-tools (2.23.33kord) juniper; urgency=low

  * 添加mount_fstab预先安装磁盘分区，也支持卸载磁盘分区

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 25 Nov 2016 15:12:00 +0800
yhkylin-backup-tools (2.23.30kord) juniper; urgency=low

  * 测试添加备份结束标识是否正确,修改/data相对安装目录

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Fri, 25 Nov 2016 11:30:00 +0800
yhkylin-backup-tools (2.23kord) juniper; urgency=low

  * 修改backuplist.xml为空而导致的解析配置文件失败，文档过早的结束

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Sat, 12 Nov 2016 17:20:00 +0800
yhkylin-backup-tools (2.22kord) juniper; urgency=low

  * 修改备份分区空间不足提示；修改图标

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 9 Nov 2016 16:44:00 +0800
yhkylin-backup-tools (2.21kord) juniper; urgency=low

  * 增加警告信息，不允许用户在程序运行过程中进行读写操作；如果备份还原分区已mount则启动会失败，增加了umount使得再次启动成功

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Tue, 8 Nov 2016 16:44:00 +0800
yhkylin-backup-tools (2.20kord) juniper; urgency=low

  * 修改control中的qt运行依赖，以保证编译使用qt5，但运行时不依赖qt5-default

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 4 Nov 2016 11:40:00 +0800
yhkylin-backup-tools (2.19kord) juniper; urgency=low

  * 修改备注为备份名称

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 1 Nov 2016 17:08:00 +0800
yhkylin-backup-tools (2.17kord) juniper; urgency=low

  * 修改backup-daemon/data/kybackup-hooks,使用两个函数将copy_exec和cp都改为文件是否存在的判断

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Wed, 26 Oct 2016 09:22:00 +0800
yhkylin-backup-tools (2.16kord) juniper; urgency=low

  * 将标识-avzAH改为-avzAXH,增加了扩展属性标识X
  * 去掉还原后调用的对/.exectl和/.autorelabel的创建动作 grep -rn exectl *或grep -rn autorelabel *
  * 修改backup-daemon/data/kybackup-hooks的54行"copy_exec /usr/bin/kylin-verify-gui /usr/bin"，加了文件是否存在的判断

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Sat, 7 Sep 2016 09:25:18 +0800
yhkylin-backup-tools (2.15) juniper; urgency=low

  * fix backup failed error 

 -- Buquan Liu (lbq) <liubuquan@kylinos.cn>  Sat, 7 Sep 2016 09:25:18 +0800
yhkylin-backup-tools (2.12) juniper; urgency=low

  * 修复取消备份之后备份不成功的问题
  * 修复了不能连续删除结点的问题
  * 修复了增量备份只增加不删除的问题

 -- weiyanbin <weiyanbin@kylinos.cn>  Sat, 7 Sep 2016 09:25:18 +0800
yhkylin-backup-tools (2.11) juniper; urgency=low

  * 修复了自动备份缺失的bug 

 -- weiyanbin <weiyanbin@kylinos.cn>  Sat, 7 Sep 2016 09:25:18 +0800
yhkylin-backup-tools (2.10) juniper; urgency=low

  * 修复了自动备份缺失的bug 

 -- weiyanbin <weiyanbin@kylinos.cn>  Sat, 7 Sep 2016 09:25:18 +0800
yhkylin-backup-tools (2.10) juniper; urgency=low

  * fix delete button bug
  * fix cancel bug
  * fix autobackup bug

 -- weiyanbin <weiyanbin@kylinos.cn>  Mon, 6 Sep 2016 09:25:18 +0800
yhkylin-backup-tools (2.8) juniper; urgency=low

  * 修复了自动备份缺失的bug 

 -- weiyanbin <weiyanbin@kylinos.cn>  Mon, 23 Aug 2016 09:25:18 +0800
yhkylin-backup-tools (2.7) juniper; urgency=low

  * modify some bug 

 -- weiyanbin <weiyanbin@kylinos.cn>  Mon, 23 Aug 2016 09:25:18 +0800
yhkylin-backup-tools (2.6) juniper; urgency=low

  * modify some bug 

 -- weiyanbin <weiyanbin@kylinos.cn>  Sat, 19 Aug 2016 09:25:18 +0800
yhkylin-backup-tools (2.5) juniper; urgency=low

  * modify some bug 

 -- weiyanbin <weiyanbin@kylinos.cn>  Sat, 14 Aug 2016 09:25:18 +0800
yhkylin-backup-tools (2.4) juniper; urgency=low

  * modify cancel backup failed 

 -- weiyanbin <weiyanbin@kylinos.cn>  Sat, 14 Aug 2016 09:25:18 +0800
yhkylin-backup-tools (2.3) juniper; urgency=low

  * modify auto-backup failed 

 -- weiyanbin <weiyanbin@kylinos.cn>  Sat, 14 Aug 2016 09:25:18 +0800
yhkylin-backup-tools (2.2) juniper; urgency=low

  * 更新initramfs

 -- weiyanbin <weiyanbin@kylinos.cn>  Sat, 13 Aug 2016 09:25:18 +0800
yhkylin-backup-tools (2.1) juniper; urgency=low

  * 修复自动备份中的一些bug

 -- weiyanbin <weiyanbin@kylinos.cn>  Sat, 13 Aug 2016 09:25:18 +0800
yhkylin-backup-tools (2.0) juniper; urgency=low

  * 添加自动备份功能
  * 添加增量备份功能
  * 添加展示备份列表功能
  * 添加保留用户数据还原功能

 -- weiyanbin <weiyanbin@kylinos.cn>  Fri, 8 Aug 2016 09:25:18 +0800

yhkylin-backup-tools (1.18) juniper; urgency=low

  * 修复还原过程中出现还原失败的问题

 -- weiyanbin <weiyanbin@kylinos.cn>  Fri, 8 Jul 2016 09:25:18 +0800

yhkylin-backup-tools (1.17) juniper; urgency=low

  * 修复还原过程中出现还原失败的问题

 -- weiyanbin <weiyanbin@kylinos.cn>  Fri, 8 Jul 2016 09:25:18 +0800

yhkylin-backup-tools (1.16) juniper; urgency=low

  * 新版本的备份还原不再基于AUFS文件系统

 -- weiyanbin <weiyanbin@kylinos.cn>  Fri, 8 Jul 2016 09:25:18 +0800

yhkylin-backup-tools (1.15) juniper; urgency=low

  * 修复了还原失败时，点击确定继续还原的问题
  * 修复了删除还原点时，界面还有描述信息的问题
  * 修复了右键为英文的信息
  * 修复了输入为空时可以备份的问题
  * 修复了点击右上角关闭按钮，不能卸载备份还原分区的问题
  * 增加了还原时对于还原所需空间的计算和提示
  * 修复了还原之后，不能及时清理磁盘空间的问题

 -- weiyanbin <weiyanbin@kylinos.cn>  Thu, 28 Jun 2016 09:25:18 +0800

yhkylin-backup-tools (1.14) juniper; urgency=low

  * 修复了解析配置文件失败的问题

 -- weiyanbin <weiyanbin@kylinos.cn>  Thu, 22 Jun 2016 09:25:18 +0800

yhkylin-backup-tools (1.12) juniper; urgency=low

  * 增加删除还原点功能
  * 修复备份名称提示中不能输入０的问题
  * 修复在未选择备份结点之后，点击确定按钮无响应的问题
  * 修复提示信息不完全的问题

 -- weiyanbin <weiyanbin@kylinos.cn>  Thu, 07 Jun 2016 09:25:18 +0800

yhkylin-backup-tools (1.11) ginkgo; urgency=low

  * Initial release
  * 增加急救模式  
  * 修复点击取消，依然出现备份还原已完成的字样
  * 修复备份完成之后，备份列表不更新的问题
  * 修复备份完成之后，关闭按钮不可用的问题
  * 修复core dump问题
  * 修复当备份分区满时，依然可以进行的问题，增加提示信息
  * 统计函数溢出问题修复

 -- weiyanbin <weiyanbin@kylinos.cn>  Thu, 07 Apr 2016 09:25:18 +0800
